Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/cpp_ORCA2_LIM3.fcm
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/cpp_ORCA2_LIM3.fcm	(revision 4099)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/CONFIG/ORCA2_LIM3/cpp_ORCA2_LIM3.fcm	(revision 4099)
@@ -0,0 +1,1 @@
+ bld::tool::fppkeys key_trabbl key_orca_r2 key_lim3 key_dynspg_flt key_diaeiv key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_zdftke key_zdfddm key_zdftmx key_iomput key_mpp_mpi
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 4098)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 4099)
@@ -395,5 +395,5 @@
    CHARACTER(len=32)     , PUBLIC ::   cn_icerst_out = "restart_ice"      !: suffix of ice restart name (output)
    LOGICAL               , PUBLIC ::   ln_limdyn     = .TRUE.             !: flag for ice dynamics (T) or not (F)
-   LOGICAL               , PUBLIC ::   ln_nicep      = .TRUE.             !: flag for sea-ice points output (T) or not (F)
+   LOGICAL               , PUBLIC ::   ln_nicep      = .FALSE.             !: flag for sea-ice points output (T) or not (F)
    REAL(wp)              , PUBLIC ::   cai           = 1.40e-3            !: atmospheric drag over sea ice
    REAL(wp)              , PUBLIC ::   cao           = 1.00e-3            !: atmospheric drag over ocean
@@ -404,5 +404,6 @@
    !!--------------------------------------------------------------------------
    !! Check if everything down here is necessary
-   LOGICAL , PUBLIC                                      ::   ln_limdiahsb  = .TRUE. !: flag for ice diag (T) or not (F)
+   LOGICAL , PUBLIC                                      ::   ln_limdiahsb  = .FALSE. !: flag for ice diag (T) or not (F)
+   LOGICAL , PUBLIC                                      ::   ln_limdiaout  = .FALSE. !: flag for ice diag (T) or not (F)
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   v_newice   !: volume of ice formed in the leads
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   dv_dt_thd  !: thermodynamic growth rates 
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90	(revision 4098)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90	(revision 4099)
@@ -126,5 +126,5 @@
       !! ** input   :   Namelist namicerun
       !!-------------------------------------------------------------------
-      NAMELIST/namicerun/ cn_icerst_in, cn_icerst_out, ln_limdyn, amax, cai, cao, ln_nicep, ln_limdiahsb
+      NAMELIST/namicerun/ cn_icerst_in, cn_icerst_out, ln_limdyn, amax, cai, cao, ln_nicep, ln_limdiahsb, ln_limdiaout
       !!-------------------------------------------------------------------
       !                    
@@ -147,4 +147,5 @@
          WRITE(numout,*) '   Several ice points in the ice or not in ocean.output    = ', ln_nicep
          WRITE(numout,*) '   Diagnose heat/salt budget or not          ln_limdiahsb  = ', ln_limdiahsb
+         WRITE(numout,*) '   Output   heat/salt budget or not          ln_limdiaout  = ', ln_limdiaout
       ENDIF
       !
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limcat_1D.F90
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limcat_1D.F90	(revision 4098)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limcat_1D.F90	(revision 4099)
@@ -154,14 +154,14 @@
                                                            !============================
          ! Check if tests have passed (i.e. volume conservation...)
-         IF ( ztests /= 4 ) THEN
-            WRITE(numout,*) ' !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! '
-            WRITE(numout,*) ' !! ALERT categories distribution !!'
-            WRITE(numout,*) ' !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! '
-            WRITE(numout,*) ' *** ztests is not equal to 4 '
-            WRITE(numout,*) ' *** ztest (1:4) = ', ztest_1, ztest_2, ztest_3, ztest_4
-            WRITE(numout,*) 'i_fill=',i_fill
-            WRITE(numout,*) 'zai(ji)=',zai(ji)
-            WRITE(numout,*) 'za_i(ji,jpl)=',za_i(ji,:)
-         ENDIF
+         !IF ( ztests /= 4 ) THEN
+         !   WRITE(numout,*) ' !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! '
+         !   WRITE(numout,*) ' !! ALERT categories distribution !!'
+         !   WRITE(numout,*) ' !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! '
+         !   WRITE(numout,*) ' *** ztests is not equal to 4 '
+         !   WRITE(numout,*) ' *** ztest (1:4) = ', ztest_1, ztest_2, ztest_3, ztest_4
+         !   WRITE(numout,*) 'i_fill=',i_fill
+         !   WRITE(numout,*) 'zai(ji)=',zai(ji)
+         !   WRITE(numout,*) 'za_i(ji,jpl)=',za_i(ji,:)
+         !ENDIF
             
       END DO ! i loop
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limcat_2D.F90
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limcat_2D.F90	(revision 4098)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limcat_2D.F90	(revision 4099)
@@ -155,11 +155,11 @@
                                                               !============================
             ! Check if tests have passed (i.e. volume conservation...)
-            IF ( ztests .NE. 4 ) THEN
-               WRITE(numout,*) ' !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! '
-               WRITE(numout,*) ' !! ALERT categories distribution !!'
-               WRITE(numout,*) ' !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! '
-               WRITE(numout,*) ' *** ztests is not equal to 4 '
-               WRITE(numout,*) ' *** ztest (1:4) = ', ztest_1, ztest_2, ztest_3, ztest_4
-            ENDIF
+            !IF ( ztests .NE. 4 ) THEN
+            !   WRITE(numout,*) ' !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! '
+            !   WRITE(numout,*) ' !! ALERT categories distribution !!'
+            !   WRITE(numout,*) ' !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! '
+            !   WRITE(numout,*) ' *** ztests is not equal to 4 '
+            !   WRITE(numout,*) ' *** ztest (1:4) = ', ztest_1, ztest_2, ztest_3, ztest_4
+            !ENDIF
 
          END DO ! i loop
Index: branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90
===================================================================
--- branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 4098)
+++ branches/2013/dev_r4028_CNRS_LIM3/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 4099)
@@ -19,4 +19,5 @@
    USE dom_oce          ! ocean domain
    USE sbc_oce          ! Surface boundary condition: ocean fields
+   USE sbc_ice          ! Surface boundary condition: ice fields
    USE eosbn2           ! equation of state
    USE ice              ! sea-ice variables
@@ -27,6 +28,6 @@
    USE lbclnk           ! lateral boundary condition - MPP exchanges
    USE lib_mpp          ! MPP library
+   USE lib_fortran      ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
    USE wrk_nemo         ! work arrays
-   USE lib_fortran      ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
 
    IMPLICIT NONE
@@ -35,24 +36,22 @@
    PUBLIC   lim_istate      ! routine called by lim_init.F90
 
-   !                                  !!** init namelist (namiceini) **
-   REAL(wp) ::   ttest    = 2.0_wp     ! threshold water temperature for initial sea ice
-   REAL(wp) ::   hninn    = 0.5_wp     ! initial snow thickness in the north
-   REAL(wp) ::   hginn_u  = 2.5_wp     ! initial ice thickness in the north
-   REAL(wp) ::   aginn_u  = 0.7_wp     ! initial leads area in the north
-   REAL(wp) ::   hginn_d  = 5.0_wp     ! initial ice thickness in the north
-   REAL(wp) ::   aginn_d  = 0.25_wp    ! initial leads area in the north
-   REAL(wp) ::   hnins    = 0.1_wp     ! initial snow thickness in the south
-   REAL(wp) ::   hgins_u  = 1.0_wp     ! initial ice thickness in the south
-   REAL(wp) ::   agins_u  = 0.7_wp     ! initial leads area in the south
-   REAL(wp) ::   hgins_d  = 2.0_wp     ! initial ice thickness in the south
-   REAL(wp) ::   agins_d  = 0.2_wp     ! initial leads area in the south
-   REAL(wp) ::   sinn     = 6.301_wp   ! initial salinity 
-   REAL(wp) ::   sins     = 6.301_wp   !
-
-   !!----------------------------------------------------------------------
-   !! NEMO/LIM3 3.4 , UCL - NEMO Consortium (2011)
+   !! * Module variables
+   REAL(wp) ::             & !!! ** init namelist (namiceini) **
+      ttest    = 2.0  ,    &  ! threshold water temperature for initial sea ice
+      hninn    = 0.5  ,    &  ! initial snow thickness in the north
+      hnins    = 0.1  ,    &  ! initial snow thickness in the south
+      hginn    = 2.5  ,    &  ! initial ice thickness in the north
+      hgins    = 1.0  ,    &  ! initial ice thickness in the south
+      aginn    = 0.7  ,    &  ! initial leads area in the north
+      agins    = 0.7  ,    &  ! initial leads area in the south
+      sinn     = 6.301 ,   &  ! initial salinity 
+      sins     = 6.301
+
+   !!----------------------------------------------------------------------
+   !!   LIM 3.0,  UCL-LOCEAN-IPSL (2008)
    !! $Id$
-   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
 CONTAINS
 
@@ -63,22 +62,49 @@
       !! ** Purpose :   defined the sea-ice initial state
       !!
-      !! ** Method  :   restart from a state defined in a binary file
-      !!                or from arbitrary sea-ice conditions
-      !!-------------------------------------------------------------------
-      INTEGER  ::   ji, jj, jk, jl             ! dummy loop indices
-      REAL(wp) ::   zeps6, zeps, ztmelts, epsi06   ! local scalars
-      REAL(wp) ::   zvol, zare, zh, zh1, zh2, zh3, zan, zbn, zas, zbs 
-      REAL(wp), POINTER, DIMENSION(:)   ::   zgfactorn, zhin 
-      REAL(wp), POINTER, DIMENSION(:)   ::   zgfactors, zhis
-      REAL(wp), POINTER, DIMENSION(:,:) ::   zidto      ! ice indicator
-      !--------------------------------------------------------------------
-
-      CALL wrk_alloc( jpm, zgfactorn, zgfactors, zhin, zhis )
+      !! ** Method  :   
+      !!                This routine will put some ice where ocean
+      !!                is at the freezing point, then fill in ice 
+      !!                state variables using prescribed initial 
+      !!                values in the namelist            
+      !!
+      !! ** Steps   :   
+      !!                1) Read namelist
+      !!                2) Basal temperature; ice and hemisphere masks
+      !!                3) Fill in the ice thickness distribution using gaussian
+      !!                4) Fill in space-dependent arrays for state variables
+      !!                5) Diagnostic arrays
+      !!                6) Lateral boundary conditions
+      !!
+      !! History :
+      !!   2.0  !  01-04  (C. Ethe, G. Madec)  Original code
+      !!   3.0  !  2007   (M. Vancoppenolle)   Rewrite for ice cats
+      !!   4.0  !  09-11  (M. Vancoppenolle)   Enhanced version for ice cats
+      !!--------------------------------------------------------------------
+
+      !! * Local variables
+      INTEGER    :: ji, jj, jk, jl             ! dummy loop indices
+      REAL(wp)   :: epsi06, epsi20, ztmelts
+      INTEGER    :: i_hemis, i_fill, jl0  
+      REAL(wp)   :: ztest_1, ztest_2, ztest_3, ztest_4, ztests, zsigma, zarg, zA, zV, zA_cons, zV_cons, zconv
+      REAL(wp), POINTER, DIMENSION(:)     :: zhm_i_ini, zat_i_ini, zvt_i_ini, zhm_s_ini, zsm_i_ini
+      REAL(wp), POINTER, DIMENSION(:,:)   :: zht_i_ini, za_i_ini, zv_i_ini
+      REAL(wp), POINTER, DIMENSION(:,:)   :: zidto    ! ice indicator
+      INTEGER,  POINTER, DIMENSION(:,:)   :: zhemis   ! hemispheric index
+      !--------------------------------------------------------------------
+
       CALL wrk_alloc( jpi, jpj, zidto )
-
-      !--------------------------------------------------------------------
-      ! 1) Preliminary things 
-      !--------------------------------------------------------------------
-      epsi06 = 1.e-6_wp
+      CALL wrk_alloc( jpi, jpj, zhemis )
+      CALL wrk_alloc( jpl,   2, zht_i_ini,  za_i_ini,  zv_i_ini )
+      CALL wrk_alloc(   2,      zhm_i_ini, zat_i_ini, zvt_i_ini, zhm_s_ini, zsm_i_ini )
+
+      epsi06   = 1.0e-6
+      epsi20   = 1.0e-20
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) 'lim_istate : Ice initialization '
+      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ '
+
+      !--------------------------------------------------------------------
+      ! 1) Read namelist
+      !--------------------------------------------------------------------
 
       CALL lim_istate_init     !  reading the initials parameters of the ice
